/* Rexx program to deal with the "Comment" Extended Attribute 

COMMENTS Version 1.1 for OS/2 2.1   - 11/17/93

Written By Brian K. Gaiser - Sr. Systems Programmer
                             Blue Cross Blue Shield of Ohio
                             23700 Commerce Park Road
                             Beachwood, Ohio  44122
                             (216) 292-0400 x3471

Disclaimer:  Usage of this program is on an as-is basis.
             No guarantee is expressed or implied for the usage
             of this routine/program.
                      
*/

parse arg filearg change recurse

if filearg = "" | filearg ="/C" | filearg ="/S"  then do
   say "Use the COMMENTS command to list or change file and "
   say "directory 'comments' extended attributes."
   say " "
   say "SYNTAX:  COMMENTS [drive:][filename]  [/C] [/S]"
   say " "
   say "Where: "
   say "  [drive:][filename] is any valid file/path specifications "
   say "  /C     Requests to change comments"
   say "  /S     Requests to recurse through subdirecories"
   say " "
   signal exit
end  /* Do */

if change = "/s"  then do
   hold = recurse
   parse var change 2 recurse
   change = hold
end  /* Do */
else
parse var recurse 2 recurse
 
call rxfuncadd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'

call sysloadfuncs

call SysFileTree filearg, "files", "b"||recurse

say "FILENAME                                 COMMENT    "
say "----------------------------------------------------------------------------"


do i= 1 to files.0
  
   parse var files.i 38 filename

  
   if SysGetEA(filename,".comments","INFO") = 0  then do
           parse var info 11 goodinfo
           end  /* Do */
   else
   say "Bad SysGetEA for filename: " filename

   say filename "--->"  goodinfo

   if change = "/c" | change = "/C" then do
   
      say "Change ? (Y/N)"
      pull answer

      if answer = "Y"  then do
         say "Enter Comment:"
         parse pull comment
         newinfo = 'DFFF00000100FDFF'x || d2c(length(comment)) || '00'x || comment
         if  SysPutEA(filename, ".comments", newinfo) = 0 then do
            say "Comments updated."
            end  /* Do */
      end /* Do */
      say " "
    end /*Do */
end /* Do */
exit:
